﻿using System;
using System.IO;
using System.Collections;
using System.Text;

namespace PEAPI
{
	/// <summary>
	/// Error for invalid PE file
	/// </summary>
	public class PEFileException : System.Exception
	{
		public PEFileException(string msg) : base(msg) { }
	};

	public class NotYetImplementedException : System.Exception
	{
		public NotYetImplementedException(string msg) : base(msg + " Not Yet Implemented") { }
	};

	public class TypeSignatureException : System.Exception
	{
		public TypeSignatureException(string msg) : base(msg) { }
	};
}
