﻿using System;

namespace Mono.ILASM
{
	public class BranchInstr : IInstr
	{
		PEAPI.BranchOp op;
		LabelInfo label;

		public BranchInstr(PEAPI.BranchOp op, LabelInfo label, Location loc)
			: base(loc)
		{
			this.op = op;
			this.label = label;
		}

		public override void Emit(CodeGen code_gen, MethodDef meth, PEAPI.CILInstructions cil)
		{
			cil.Branch(op, label.Label);
		}
	};
}
