﻿using System.Reflection;

namespace Mono.ILASM
{
	public class PermissionMember
	{
		public PermissionMember(MemberTypes member_type, BaseTypeRef type_ref, string name, object value)
		{
			this.member_type = member_type;
			this.type_ref = type_ref;
			this.name = name;
			this.value = value;
		}

		MemberTypes member_type;
		BaseTypeRef type_ref;
		string name;
		object value;

		PEAPI.PermissionMember member;

		public PEAPI.PermissionMember Resolve(CodeGen code_gen)
		{
			type_ref.Resolve(code_gen);

			member = new PEAPI.PermissionMember(member_type, type_ref.PeapiType, name, value);

			return member;
		}
	};
}
