﻿using System;

namespace Mono.ILASM
{
	public class SimpInstr : IInstr
	{
		PEAPI.Op op;

		public SimpInstr(PEAPI.Op op, Location loc)
			: base(loc)
		{
			this.op = op;
		}

		public override void Emit(CodeGen code_gen, MethodDef meth, PEAPI.CILInstructions cil)
		{
			cil.Inst(op);
		}
	}
}
