﻿using System;

namespace Mono.ILASM
{
	public class TypeInstr : IInstr
	{
		PEAPI.TypeOp op;
		BaseTypeRef operand;

		public TypeInstr(PEAPI.TypeOp op, BaseTypeRef operand, Location loc)
			: base(loc)
		{
			this.op = op;
			this.operand = operand;
		}

		public override void Emit(CodeGen code_gen, MethodDef meth, PEAPI.CILInstructions cil)
		{
			operand.Resolve(code_gen);
			cil.TypeInst(op, operand.PeapiType);
		}
	}
}
